// https://github.com/Adobe-CEP/Samples/blob/master/Flickr/js/main.js
// http://design.tutsplus.com/tutorials/create-a-calendar-using-scripting-in-photoshop--psd-7305

var API_BASE_URL = 'https://api.pexels.com/alpha/';
var API_KEY = '563492ad6f91700001000001a07137fb1182499c6dcf9fcd6bfa9446';

(function () {
  'use strict';

  init();

  function init() {
    var csInterface = new CSInterface();

    InternetConnection.init();
    Persistent.init(csInterface);
    NotificationCheck.init();
    ThemeManager.init(csInterface);
    Settings.init();
    Search.init();
    Tabs.init();

    var isLoggedIn = Authorization.isLoggedIn();
    if (isLoggedIn) {
      Tabs.openTabByName('recent');
    } else {
      Authorization.show();
    }
  }
}());